Bug 951914 - Drop PPL dependency
Summary: Drop PPL dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-gcc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-14 11:11 UTC by Nicola Fontana
Modified: 2013-04-20 19:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 19:37:48 UTC


Attachments (Terms of Use)
Dropped dependency on PPL (1.42 KB, patch)
2013-04-14 11:15 UTC, Nicola Fontana
no flags Details | Diff

Description Nicola Fontana 2013-04-14 11:11:29 UTC
GCC 4.8.0 does not have any explicit dependency on PPL. Furthermore, its configure script does not have any --with-ppl* arg anymore.

The same has happened to the master gcc spec in commit 4.8.0-0.3:
http://pkgs.fedoraproject.org/cgit/gcc.git/commit/?id=e835ae255ac5374bdb2ae7af71bcc4f54dff3756

In the same conditional branch there is also a dependency on cloog-ppl and cloog-ppl-devel but I found only a "cloog" package in the repository, so I did not touch that part.

Comment 1 Nicola Fontana 2013-04-14 11:15:00 UTC
Created attachment 735568 [details]
Dropped dependency on PPL

Comment 2 Fedora Update System 2013-04-16 11:41:35 UTC
mingw-w64-tools-2.0.999-0.7.trunk.20130403.fc19,mingw-qt-4.8.4-3.fc19,mingw-libxml2-2.9.0-3.fc19,mingw-headers-2.0.999-0.19.trunk.20130403.fc19,mingw-glib2-2.36.1-1.fc19,mingw-gtk2-2.24.17-1.fc19,mingw-gcc-4.8.0-3.fc19,mingw-crt-2.0.999-0.19.trunk.20130403.fc19,mingw-binutils-2.23.52.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-w64-tools-2.0.999-0.7.trunk.20130403.fc19,mingw-qt-4.8.4-3.fc19,mingw-libxml2-2.9.0-3.fc19,mingw-headers-2.0.999-0.19.trunk.20130403.fc19,mingw-glib2-2.36.1-1.fc19,mingw-gtk2-2.24.17-1.fc19,mingw-gcc-4.8.0-3.fc19,mingw-crt-2.0.999-0.19.trunk.20130403.fc19,mingw-binutils-2.23.52.0.1-1.fc19

Comment 3 Fedora Update System 2013-04-16 16:10:15 UTC
Package mingw-w64-tools-2.0.999-0.7.trunk.20130403.fc19, mingw-qt-4.8.4-3.fc19, mingw-libxml2-2.9.0-3.fc19, mingw-headers-2.0.999-0.19.trunk.20130403.fc19, mingw-glib2-2.36.1-1.fc19, mingw-gtk2-2.24.17-1.fc19, mingw-gcc-4.8.0-3.fc19, mingw-crt-2.0.999-0.19.trunk.20130403.fc19, mingw-binutils-2.23.52.0.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-w64-tools-2.0.999-0.7.trunk.20130403.fc19 mingw-qt-4.8.4-3.fc19 mingw-libxml2-2.9.0-3.fc19 mingw-headers-2.0.999-0.19.trunk.20130403.fc19 mingw-glib2-2.36.1-1.fc19 mingw-gtk2-2.24.17-1.fc19 mingw-gcc-4.8.0-3.fc19 mingw-crt-2.0.999-0.19.trunk.20130403.fc19 mingw-binutils-2.23.52.0.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5786/mingw-w64-tools-2.0.999-0.7.trunk.20130403.fc19,mingw-qt-4.8.4-3.fc19,mingw-libxml2-2.9.0-3.fc19,mingw-headers-2.0.999-0.19.trunk.20130403.fc19,mingw-glib2-2.36.1-1.fc19,mingw-gtk2-2.24.17-1.fc19,mingw-gcc-4.8.0-3.fc19,mingw-crt-2.0.999-0.19.trunk.20130403.fc19,mingw-binutils-2.23.52.0.1-1.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-20 19:37:50 UTC
mingw-w64-tools-2.0.999-0.7.trunk.20130403.fc19, mingw-qt-4.8.4-3.fc19, mingw-libxml2-2.9.0-3.fc19, mingw-headers-2.0.999-0.19.trunk.20130403.fc19, mingw-glib2-2.36.1-1.fc19, mingw-gtk2-2.24.17-1.fc19, mingw-gcc-4.8.0-3.fc19, mingw-crt-2.0.999-0.19.trunk.20130403.fc19, mingw-binutils-2.23.52.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.